Skip to main content
PATCH
/
api
/
carrier_services
/
{id}
Update a carrier service
curl --request PATCH \
  --url https://clarus-api.com/api/carrier_services/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "carrier_services",
    "attributes": {
      "code": "RM1CLS",
      "name": "Royal Mail 1st Class",
      "carrier_id": 57,
      "is_default": true,
      "active": true
    }
  }
}
'
{
  "id": 1,
  "code": "RM1CLS",
  "name": "Royal Mail 1st Class",
  "active": true,
  "is_default": true,
  "carrier_id": 57
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the carrier service

Body

application/json
data
object
required

Response

Updated successfully

The response is of type object.